Bug 1003990 - JBoss Marshalling component upgrade (used in Remoting, but there is not JBoss Marshalling component)
JBoss Marshalling component upgrade (used in Remoting, but there is not JBoss...
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Remoting (Show other bugs)
All All
unspecified Severity urgent
: ER1
: EAP 6.2.0
Assigned To: David M. Lloyd
Jitka Kozana
Russell Dickenson
Depends On: 1003987
Blocks: 1005124 eap62-beta-blockers
  Show dependency treegraph
Reported: 2013-09-03 12:38 EDT by Andrig T Miller
Modified: 2013-12-15 11:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-12-15 11:14:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrig T Miller 2013-09-03 12:38:33 EDT
Description of problem:

Need a component upgrade for JBoss Marshalling inside Remoting to fix https://bugzilla.redhat.com/show_bug.cgi?id=1003987

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Run any application that calls EJB's remotely.

Actual results:

Use lots of memory, and cause scalability problems with EAP.

Expected results:

Use very little memory, and have no scalability issue related to EJB remote calls.

Additional info:
Comment 1 David M. Lloyd 2013-09-03 13:00:03 EDT
Added the only flags I have permissions to add.  Someone else will have to ack them.
Comment 5 John Doyle 2013-09-20 19:19:27 EDT
Is this a regression from 6.1.1? I would not consider it a Beta blocker if it is not.
Comment 6 David M. Lloyd 2013-09-21 11:30:47 EDT
No, it's a long-standing problem.  But in any case it's merged so whether or not it was a blocker is probably moot.
Comment 7 Ladislav Thon 2013-09-23 03:23:03 EDT
Verified with EAP 6.2.0.ER1.

Note You need to log in before you can comment on or make changes to this bug.